Subject: [alpine-aports] [PATCH 1/3] main/guile: make guile-dev depend on gc-dev

From: Isaac Dunham <[email-masked]>
Date: Tue, 14 Jul 2015 22:56:34 -0700

"guile-config link" outputs:
-lguile-2.0 -lgc

Thus, it's not possible to use guile-dev without having gc-dev.
---
 main/guile/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/main/guile/APKBUILD b/main/guile/APKBUILD
index f4bc993..d256a22 100644
--- a/main/guile/APKBUILD
+++ b/main/guile/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=guile
 pkgver=2.0.11
-pkgrel=0
+pkgrel=1
 pkgdesc="Guile is a portable, embeddable Scheme implementation written in C"
 url="http://www.gnu.org/software/guile/"
 arch="all"
@@ -10,7 +10,7 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
 makedepends="gmp-dev libtool ncurses-dev texinfo libunistring-dev libffi-dev
 	gc-dev"
 depends=
-depends_dev="guile"
+depends_dev="guile gc-dev"
 install=
 source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
 	strtol_l.patch
-- 
2.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Isaac Dunham <[email-masked]>
Date: Tue, 14 Jul 2015 22:56:35 -0700

libctl is MIT's glue for embedding guile in programs.
---
 testing/libctl/APKBUILD | 51 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/libctl/APKBUILD

diff --git a/testing/libctl/APKBUILD b/testing/libctl/APKBUILD
new file mode 100644
index 0000000..d709272
--- /dev/null
+++ b/testing/libctl/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Isaac Dunham <[email-masked]>
+# Maintainer:
+pkgname=libctl
+pkgver=3.2.2
+pkgrel=0
+pkgdesc="Guile-based library implementing flexible control files for scientific simulations"
+url="http://ab-initio.mit.edu/wiki/index.php/Libctl"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="guile-dev"
+makedepends="$depends_dev gc-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ab-initio.mit.edu/libctl/libctl-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libctl-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--enable-shared --disable-static \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5fd7634dc9ae8e7fa70a68473b9cbb68  libctl-3.2.2.tar.gz"
+sha256sums="8abd8b58bc60e84e16d25b56f71020e0cb24d75b28bc5db86d50028197c7efbc  libctl-3.2.2.tar.gz"
+sha512sums="646456c23490eb3e63e845d4866b16bd1d92b210f2279342560888bb4764e474b97e17ff34beb672d43afe4d42bbcbddbcf8bb49cedc23b886061a93de10e6df  libctl-3.2.2.tar.gz"
-- 
2.4.5

---

---

From: Francesco Colista <[email-masked]>
Date: Fri, 17 Jul 2015 11:02:39 +0200

> libctl is MIT's glue for embedding guile in programs.

Hello Isaac.
Build fails with the following error:

----
checking for nagfor... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking how to get verbose linking output from ... configure: WARNING: 
compilation failed

checking for Fortran 77 libraries of ...
checking for dummy main to link with Fortran 77 libraries... none
checking for Fortran 77 name-mangling scheme... configure: error: in 
`/home/fcolista/aports/testing/libctl/src/libctl-3.2.2':
configure: error: cannot compile a simple Fortran program
See `config.log' for more details
>>> ERROR: libctl: all failed
>>> libctl: Uninstalling dependencies...
----

Thanks.

-- 
:: Francesco Colista
:: Alpine Linux Infrstraucture
:: http://www.alpinelinux.org

---

---

From: [email-masked]
Date: Fri, 17 Jul 2015 10:00:08 -0700

On Fri, Jul 17, 2015 at 11:02:39AM +0200, Francesco Colista wrote:
> checking how to get verbose linking output from ... configure:
> WARNING: compilation failed
> 

Thanks for the information.
I've got gfortran installed, so that's probably the difference.
(It might be a little while till I can get back to this, as
the power cord on that laptop just started shorting out...)

Thanks,
Isaac

---

---

From: Isaac Dunham <[email-masked]>
Date: Tue, 14 Jul 2015 22:56:36 -0700

HDF5 is a library for handling the HDF5 data file format.
Meep (MIT Electromagnetic Equation Propagation) and other programs
use this format and library.
---
 testing/hdf5/APKBUILD | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)
 create mode 100644 testing/hdf5/APKBUILD

diff --git a/testing/hdf5/APKBUILD b/testing/hdf5/APKBUILD
new file mode 100644
index 0000000..6e41167
--- /dev/null
+++ b/testing/hdf5/APKBUILD
@@ -0,0 +1,70 @@
+# Contributor: Isaac Dunham <[email-masked]>
+# Maintainer:
+#
+# make test does not complete without error on all systems;
+# the bug is somewhere in src/H5Omtime.c, unless the test is wrong.
+# Essentially, when the timezone is not UTC, it adjusts the ctime it
+# reads one way and the "known" datestamp the other way.
+# I'm not sure if this is musl-specific or not.
+# With TZ=UTC, all tests pass.
+#
+# HDF5 depends on zlib and provides a C interface by default.
+# Optionally, it can be built with szip (which has limitations on
+# commercial use and thus is non-free), MPI, and C++ and Fortran bindings.
+# C++ and Fortran bindings may not be thread-safe:
+# building either and passing --enable-threadsafe is unsupported.
+
+pkgname=hdf5
+_pkgver=1.8.15-patch1
+pkgver=1.8.15.1
+pkgrel=0
+pkgdesc="HDF5 is a data model, library, and file format for storing and managing data"
+url="http://www.hdfgroup.org/HDF5/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.hdfgroup.org/ftp/HDF5/current/src/hdf5-$_pkgver.tar.bz2"
+
+_builddir="$srcdir"/hdf5-$_pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	update_config_sub || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--enable-threadsafe \
+		--enable-direct-vfd \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -d "$pkgdir"/usr/share/licenses/"$pkgname"
+	install -c -m 0644 COPYING "$pkgdir"/usr/share/licenses/"$pkgname"/COPYING
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3c0d7a8c38d1abc7b40fc12c1d5f2bb8  hdf5-1.8.15-patch1.tar.bz2"
+sha256sums="a5afc630c4443547fff15e9637b5b10404adbed4c00206d89517d32d6668fb32  hdf5-1.8.15-patch1.tar.bz2"
+sha512sums="380c06f3cab469351d6ddc940c7cdffd5bd20a74e69cb4d549989bec5f130dadae11c04928ead7eea0200a175fc45a042d068a752d8a9c19a35c3a6912a147bd  hdf5-1.8.15-patch1.tar.bz2"
-- 
2.4.5

---